Draft FlipDimension: Difference between revisions

From FreeCAD Documentation
No edit summary
(Button text.)
 
(16 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
<translate>
<translate>

<!--T:7-->
<!--T:7-->
{{Docnav
{{Docnav
|[[Draft_Heal|Heal]]
|[[Draft_Slope|Slope]]
|[[Draft_Shape2DView|Shape2DView]]
|[[Draft_VisGroup|VisGroup]]
|[[Draft_Module|Draft]]
|[[Draft_Workbench|Draft]]
|IconL=Draft_Heal.svg
|IconL=Draft_Slope.svg
|IconR=Draft_VisGroup.svg
|IconR=Draft_Shape2DView.svg
|IconC=Workbench_Draft.svg
|IconC=Workbench_Draft.svg
}}
}}
Line 14: Line 15:
{{GuiCommand
{{GuiCommand
|Name=Draft FlipDimension
|Name=Draft FlipDimension
|MenuLocation=Draft → Utilities → Flip Dimension
|MenuLocation=Modification → Flip dimension
|Workbenches=[[Draft_Module|Draft]], [[Arch_Module|Arch]]
|Workbenches=[[Draft_Workbench|Draft]], [[Arch_Workbench|Arch]]
|SeeAlso=[[Draft_Dimension|Draft Dimension]]
}}
}}


Line 22: Line 22:


<!--T:2-->
<!--T:2-->
This tool flips the [[Draft_Dimension|Draft Dimension]] text around the dimension line. It can be done to adjust the appearance of the dimension.
The [[Image:Draft_FlipDimension.svg|24px]] '''Draft FlipDimension''' command rotates the dimension text of selected [[Draft_Dimension|Draft Dimensions]] 180° around the dimension line. It can be used to correct dimensions whose text appears mirrored. The command does not work properly for angular dimensions.


==Usage== <!--T:11-->
==Usage== <!--T:11-->


<!--T:3-->
<!--T:3-->
# Select a [[Draft_Dimension|Draft Dimension]] object.
# Select one or more [[Draft_Dimension|Draft Dimensions]].
# There are several ways to invoke the command:
# Go to the menu {{MenuCommand|Draft → Utilities → [[Image:Draft_FlipDimension.png|16px]] [[Draft_FlipDimension|Flip Dimension]]}}.
#* Press the {{Button|[[Image:Draft_FlipDimension.svg|16px]] [[Draft_FlipDimension|Flip dimension]]}} button.
#* Select the {{MenuCommand|Modification → [[Image:Draft_FlipDimension.svg|16px]] Flip dimension}} option from the menu.


<!--T:4-->
==Notes== <!--T:12-->
What this tool does internally is to invert the normal direction of the dimension, which is used to position the text.


<!--T:5-->
<!--T:5-->
[[Draft_Dimension|Draft Dimensions]] also have a {{PropertyData|Flip Text}} property which, when it is {{TRUE}}, rotates the text by 180 degrees around the normal direction. By combining these two features, flipping the normal direction and flipping the text, you are able to make the text appear correctly in all possible situations.
* [[Draft_Dimension|Draft Dimensions]] also have a {{PropertyData|Flip Text}} property. When set to {{TRUE}} the text is rotated 180° around the normal direction. This can be combined with the effect of this command.

==Scripting== <!--T:13-->

<!--T:14-->
See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].

<!--T:15-->
To flip a [[Draft_Dimension|Draft Dimension]] invert its {{incode|Normal}} property.

<!--T:16-->
Example:

</translate>
{{Code|code=
import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 0, 0)
p3 = App.Vector(500, 300, 0)
dimension = Draft.make_dimension(p1, p2, p3)
dimension.ViewObject.FontSize = 200

dimension.Normal = dimension.Normal.negative()
doc.recompute()
}}
<translate>



<!--T:6-->
<!--T:6-->
{{Docnav
{{Docnav
|[[Draft_Heal|Heal]]
|[[Draft_Slope|Slope]]
|[[Draft_Shape2DView|Shape2DView]]
|[[Draft_VisGroup|VisGroup]]
|[[Draft_Module|Draft]]
|[[Draft_Workbench|Draft]]
|IconL=Draft_Heal.svg
|IconL=Draft_Slope.svg
|IconR=Draft_VisGroup.svg
|IconR=Draft_Shape2DView.svg
|IconC=Workbench_Draft.svg
|IconC=Workbench_Draft.svg
}}
}}
Line 49: Line 80:
{{Draft Tools navi{{#translation:}}}}
{{Draft Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}

Latest revision as of 17:13, 3 December 2023

Draft FlipDimension

Menu location
Modification → Flip dimension
Workbenches
Draft, Arch
Default shortcut
None
Introduced in version
-
See also
None

Description

The Draft FlipDimension command rotates the dimension text of selected Draft Dimensions 180° around the dimension line. It can be used to correct dimensions whose text appears mirrored. The command does not work properly for angular dimensions.

Usage

  1. Select one or more Draft Dimensions.
  2. There are several ways to invoke the command:
    • Press the Flip dimension button.
    • Select the Modification → Flip dimension option from the menu.

Notes

  • Draft Dimensions also have a DataFlip Text property. When set to true the text is rotated 180° around the normal direction. This can be combined with the effect of this command.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To flip a Draft Dimension invert its Normal property.

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 0, 0)
p3 = App.Vector(500, 300, 0)
dimension = Draft.make_dimension(p1, p2, p3)
dimension.ViewObject.FontSize = 200

dimension.Normal = dimension.Normal.negative()
doc.recompute()